Description

Hi,

I cannot access the Geoserver logs nor of the French tuna atlas GS (http://geoserver-french-tunaatlas.d4science.org/geoserver)

neither of the SDI lab GS (http://geoserver-sdi-lab.d4science.org/geoserver). I need to access them to understand why some of the

layers are not published.

Could you please enable them?

Other request: could you please enable the gcube-logs for these three geoservers:

http://geoserver-french-tunaatlas.d4science.org/geoserver

http://geoserver-tunaatlas.d4science.org/geoserver

http://geoserver-sdi-lab.d4science.org/geoserver

Thanks,

Paul

History

#1 - May 23, 2018 10:51 AM - Pasquale Pagano

- Assignee changed from _InfraScience Systems Engineer to Fabio Sinibaldi

is this request the same as in #11045?

#2 - May 23, 2018 11:12 AM - Paul Taconet

Yes, I have created this new ticket because #11045 is closed.

#3 - May 23, 2018 12:08 PM - Fabio Sinibaldi

- Assignee changed from Fabio Sinibaldi to _InfraScience Systems Engineer

Access to logs should be configured at system level, defining ssh access to the log folder. System engineers know the best way to achieve this. 

#4 - May 23, 2018 12:13 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

ssh access is not required, we can expose the log files via http(s).

@roberto.cirillo@isti.cnr.it you can set to True the variable smartgears_nginx_expose_tomcat_logs on the playbook variables for the hosts, and then

run the playbook on the same hosts with the tag virtualhost.

After that, the logs will be available at https:///logs

#5 - May 23, 2018 12:16 PM - Fabio Sinibaldi

Better then expected! 

#6 - May 23, 2018 12:25 PM - Roberto Cirillo

- Status changed from New to In Progress

#7 - May 23, 2018 12:42 PM - Roberto Cirillo

- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Paul Taconet

- % Done changed from 0 to 100

The logs are available now in http(s) mode at the following urls: 

https://geoserver-french-tunaatlas.d4science.org/gcube-logs/

https://geoserver-tunaatlas.d4science.org/gcube-logs/

https://geoserver-sdi-lab.d4science.org/gcube-logs/

 Please @paul.taconet@ird.fr could you check and close the ticket if you can see the logs correctly?

#8 - May 23, 2018 02:20 PM - Paul Taconet

- File Capture du 2018-05-23 14-16-41.png added

I confirm I can access the gcube logs.

However, the geoserver logs of both the french tuna atlas and the SDI lab Geoservers seem to still be unavailable, neither through the gcube logs nor

though the geoserver interface (see image).

#9 - May 23, 2018 02:23 PM - Emmanuel Blondel

The gcube-logs are substitute of what you have within the geoserver. you will not have the latter. To get geoserver logs, download catalina.out at 

http://geoserver-french-tunaatlas.d4science.org/gcube-logs/

#10 - May 23, 2018 02:23 PM - Emmanuel Blondel

Thanks @roberto.cirillo@isti.cnr.it all logs are accessible now. We can close the ticket

#11 - May 23, 2018 02:26 PM - Paul Taconet

- Status changed from Feedback to Closed

Thanks for the details
